(function() {
    /**********************************************
     * Connection
     * アプリケーションをインストールしている端末の
     * ネットワーク状況及びwifi接続状況を取得する
     **********************************************/

    /*
     * ネットワーク状況及びwifi接続状況の取得処理
     * type : String 接続中のネットワークの種類
     * 			UNKNOWN  不明
     * 			ETHERNET イーサネット
     * 			WIFI     Wi-Fi
     * 			CELL     電話網
     * 			NONE     なし
     */
    getConnectionType = function() {
        applican.connection.getCurrentConnectionType(success, error);
      }

        function success(result) {
        	var messageType = '';
        	if (result == "NONE") {
                // 圏外の場合
                messageType = "なし";
            } else if (result == "ETHERNET") {
                // イーサネットの場合
                messageType = "イーサネット";
            } else if (result == "WIFI") {
                // Wi-Fiの場合
                messageType = "Wi-Fi";
            } else if (result == "CELL") {
                // 電話網の場合
                messageType = "電話網";
            } else {
                // 判別不能の場合
                messageType = "不明";
            }
        	var message = "通信環境：" + messageType;
        	document.getElementById("dumpAreaConnection").value = message;
        }

        function error(error) {
        	var message = "エラー： " + error;
        	document.getElementById("dumpAreaConnection").value = message;
        }

    /********************* イベント登録 *********************/
    document.addEventListener("deviceready", function() {
        // 「ネットワーク状況及びwifi接続状況を取得」ボタン押下処理
        document.getElementById("connectionBtn").addEventListener("touchend", getConnectionType, false);
    }, false);
})();